Advanced configuration system

https://www.kde.org

KConfig provides an advanced configuration system. It is made of two parts:
KConfigCore and KConfigGui.

KConfigCore provides access to the configuration files themselves. It features:

- centralized definition: define your configuration in an XML file and use
`kconfig_compiler` to generate classes to read and write configuration entries.

- lock-down (kiosk) support.

KConfigGui provides a way to hook widgets to the configuration so that they are
automatically initialized from the configuration and automatically propagate
their changes to their respective configuration files.

Refresh
Refresh
Source Files
Filename Size Changed Actions
_service 0000000501 501 Bytes over 2 years
baselibs.conf 0000000158 158 Bytes over 5 years
kconfig-desktop-translations.patch 0000006988 6.82 KB over 1 year
kconfig.changes 0000030859 30.1 KB about 1 month
kconfig.spec 0000006059 5.92 KB about 1 month
Comments for kconfig 1

Fabian Vogt's avatar

favogt wrote 3 months ago

This package has installation issues and may not be installable from the openSUSE_Factory repository:

can't install kconf_update5-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586:
  nothing provides libc.so.6 needed by kconf_update5-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586
  nothing provides libc.so.6(GLIBC_2.0) needed by kconf_update5-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586
  nothing provides libc.so.6(GLIBC_2.1.3) needed by kconf_update5-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586
  nothing provides libc.so.6(GLIBC_2.4) needed by kconf_update5-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586
  nothing provides libstdc++.so.6 needed by kconf_update5-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586
  nothing provides libstdc++.so.6(CXXABI_1.3) needed by kconf_update5-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586
  nothing provides libstdc++.so.6(GLIBCXX_3.4) needed by kconf_update5-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586

can't install kconf_update5-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64:
  nothing provides libc.so.6()(64bit) needed by kconf_update5-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libc.so.6(GLIBC_2.14)(64bit) needed by kconf_update5-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libc.so.6(GLIBC_2.2.5)(64bit) needed by kconf_update5-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libc.so.6(GLIBC_2.4)(64bit) needed by kconf_update5-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libstdc++.so.6()(64bit) needed by kconf_update5-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libstdc++.so.6(CXXABI_1.3)(64bit) needed by kconf_update5-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libstdc++.so.6(GLIBCXX_3.4)(64bit) needed by kconf_update5-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64

can't install kconfig-devel-32bit-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64:
  package kconfig-devel-32bit-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64 requires libKF5ConfigGui5-32bit = 5.63.0git.20191016T161513~3f68be1, but none of the providers can be installed
  nothing provides /bin/sh needed by libKF5ConfigGui5-32bit-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libc.so.6 needed by libKF5ConfigGui5-32bit-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libc.so.6(GLIBC_2.0) needed by libKF5ConfigGui5-32bit-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libc.so.6(GLIBC_2.1.3) needed by libKF5ConfigGui5-32bit-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libc.so.6(GLIBC_2.4) needed by libKF5ConfigGui5-32bit-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libstdc++.so.6 needed by libKF5ConfigGui5-32bit-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libstdc++.so.6(CXXABI_1.3) needed by libKF5ConfigGui5-32bit-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libstdc++.so.6(GLIBCXX_3.4) needed by libKF5ConfigGui5-32bit-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64

can't install kconfig-devel-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586:
  nothing provides libc.so.6 needed by kconfig-devel-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586
  nothing provides libc.so.6(GLIBC_2.0) needed by kconfig-devel-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586
  nothing provides libc.so.6(GLIBC_2.1.3) needed by kconfig-devel-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586
  nothing provides libc.so.6(GLIBC_2.4) needed by kconfig-devel-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586
  nothing provides libstdc++.so.6 needed by kconfig-devel-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586
  nothing provides libstdc++.so.6(GLIBCXX_3.4) needed by kconfig-devel-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586

can't install kconfig-devel-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64:
  nothing provides libc.so.6()(64bit) needed by kconfig-devel-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libc.so.6(GLIBC_2.14)(64bit) needed by kconfig-devel-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libc.so.6(GLIBC_2.2.5)(64bit) needed by kconfig-devel-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libc.so.6(GLIBC_2.4)(64bit) needed by kconfig-devel-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libstdc++.so.6()(64bit) needed by kconfig-devel-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libstdc++.so.6(GLIBCXX_3.4)(64bit) needed by kconfig-devel-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64

can't install libKF5ConfigCore5-32bit-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64:
  nothing provides /bin/sh needed by libKF5ConfigCore5-32bit-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libc.so.6 needed by libKF5ConfigCore5-32bit-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libc.so.6(GLIBC_2.0) needed by libKF5ConfigCore5-32bit-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libc.so.6(GLIBC_2.1.3) needed by libKF5ConfigCore5-32bit-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libc.so.6(GLIBC_2.4) needed by libKF5ConfigCore5-32bit-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libstdc++.so.6 needed by libKF5ConfigCore5-32bit-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libstdc++.so.6(CXXABI_1.3) needed by libKF5ConfigCore5-32bit-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libstdc++.so.6(GLIBCXX_3.4) needed by libKF5ConfigCore5-32bit-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libc.so.6(GLIBC_2.1) needed by libKF5ConfigCore5-32bit-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libstdc++.so.6(GLIBCXX_3.4.14) needed by libKF5ConfigCore5-32bit-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64

can't install libKF5ConfigCore5-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586:
  nothing provides libc.so.6 needed by libKF5ConfigCore5-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586
  nothing provides libc.so.6(GLIBC_2.0) needed by libKF5ConfigCore5-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586
  nothing provides libc.so.6(GLIBC_2.1.3) needed by libKF5ConfigCore5-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586
  nothing provides libc.so.6(GLIBC_2.4) needed by libKF5ConfigCore5-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586
  nothing provides libstdc++.so.6 needed by libKF5ConfigCore5-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586
  nothing provides libstdc++.so.6(CXXABI_1.3) needed by libKF5ConfigCore5-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586
  nothing provides libstdc++.so.6(GLIBCXX_3.4) needed by libKF5ConfigCore5-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586
  nothing provides libc.so.6(GLIBC_2.1) needed by libKF5ConfigCore5-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586
  nothing provides libc.so.6(GLIBC_2.3.4) needed by libKF5ConfigCore5-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586
  nothing provides /sbin/ldconfig needed by libKF5ConfigCore5-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586
  nothing provides libstdc++.so.6(GLIBCXX_3.4.14) needed by libKF5ConfigCore5-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586

can't install libKF5ConfigCore5-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64:
  nothing provides libc.so.6()(64bit) needed by libKF5ConfigCore5-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libc.so.6(GLIBC_2.14)(64bit) needed by libKF5ConfigCore5-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libc.so.6(GLIBC_2.2.5)(64bit) needed by libKF5ConfigCore5-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libc.so.6(GLIBC_2.4)(64bit) needed by libKF5ConfigCore5-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libstdc++.so.6()(64bit) needed by libKF5ConfigCore5-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libstdc++.so.6(CXXABI_1.3)(64bit) needed by libKF5ConfigCore5-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libstdc++.so.6(GLIBCXX_3.4)(64bit) needed by libKF5ConfigCore5-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libc.so.6(GLIBC_2.3.4)(64bit) needed by libKF5ConfigCore5-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides /sbin/ldconfig needed by libKF5ConfigCore5-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libstdc++.so.6(GLIBCXX_3.4.14)(64bit) needed by libKF5ConfigCore5-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64

can't install libKF5ConfigGui5-32bit-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64:
  nothing provides /bin/sh needed by libKF5ConfigGui5-32bit-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libc.so.6 needed by libKF5ConfigGui5-32bit-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libc.so.6(GLIBC_2.0) needed by libKF5ConfigGui5-32bit-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libc.so.6(GLIBC_2.1.3) needed by libKF5ConfigGui5-32bit-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libc.so.6(GLIBC_2.4) needed by libKF5ConfigGui5-32bit-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libstdc++.so.6 needed by libKF5ConfigGui5-32bit-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libstdc++.so.6(CXXABI_1.3) needed by libKF5ConfigGui5-32bit-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libstdc++.so.6(GLIBCXX_3.4) needed by libKF5ConfigGui5-32bit-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64

can't install libKF5ConfigGui5-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586:
  nothing provides libc.so.6 needed by libKF5ConfigGui5-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586
  nothing provides libc.so.6(GLIBC_2.0) needed by libKF5ConfigGui5-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586
  nothing provides libc.so.6(GLIBC_2.1.3) needed by libKF5ConfigGui5-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586
  nothing provides libc.so.6(GLIBC_2.4) needed by libKF5ConfigGui5-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586
  nothing provides libstdc++.so.6 needed by libKF5ConfigGui5-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586
  nothing provides libstdc++.so.6(CXXABI_1.3) needed by libKF5ConfigGui5-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586
  nothing provides libstdc++.so.6(GLIBCXX_3.4) needed by libKF5ConfigGui5-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586
  nothing provides /sbin/ldconfig needed by libKF5ConfigGui5-5.63.0git.20191016T161513~3f68be1-ku.4.1.i586

can't install libKF5ConfigGui5-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64:
  nothing provides libc.so.6()(64bit) needed by libKF5ConfigGui5-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libc.so.6(GLIBC_2.14)(64bit) needed by libKF5ConfigGui5-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libc.so.6(GLIBC_2.2.5)(64bit) needed by libKF5ConfigGui5-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libc.so.6(GLIBC_2.4)(64bit) needed by libKF5ConfigGui5-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libstdc++.so.6()(64bit) needed by libKF5ConfigGui5-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libstdc++.so.6(CXXABI_1.3)(64bit) needed by libKF5ConfigGui5-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides libstdc++.so.6(GLIBCXX_3.4)(64bit) needed by libKF5ConfigGui5-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64
  nothing provides /sbin/ldconfig needed by libKF5ConfigGui5-5.63.0git.20191016T161513~3f68be1-ku.4.1.x86_64